uniform mat4	uniViewMatrix;		//	the "view transformation"

in vec3			atrPosition;		//	(x, y, c) where c is the "endcap coordinate" described
									//		at the top of TorusGamesRectangleWithEndcaps.c
in vec4			atrColor;			//	premultiplied alpha
in vec4			atrTransformationX,	//	the "model transformation"
				atrTransformationY;

out vec4		varColor;	//	premultiplied alpha

void main()
{
	gl_Position	= uniViewMatrix * vec4(
					dot(atrTransformationX, vec4(atrPosition, 1.0)),
					dot(atrTransformationY, vec4(atrPosition, 1.0)),
					0.0,
					1.0);
	varColor	= atrColor;
}
